# Uses of Interface
com.sun.jdi.ModuleReference

Packages that use ModuleReference
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of ModuleReference in com.sun.jdi

Methods in com.sun.jdi that return ModuleReference
Modifier and Type
Method
Description
`default ModuleReference`
ReferenceType.`module()`
Gets the module object which contains the class corresponding to this type.
Methods in com.sun.jdi that return types with arguments of type ModuleReference
Modifier and Type
Method
Description
`default List<ModuleReference>`
VirtualMachine.`allModules()`
Returns all modules.